public class TestCircleWithStaticMembers {
  /** Metoda main */
  public static void main(String[] args) {
    System.out.println("Przed utworzeniem obiektów");
    System.out.println("Liczba obiektów typu Circle to " +
      CircleWithStaticMembers.numberOfObjects);

    // Tworzenie obiektu c1
    CircleWithStaticMembers c1 = new CircleWithStaticMembers(); // Używanie klasy Circle z listingu 9.6

    // Wyświetlanie c1 PRZED utworzeniem c2
    System.out.println("\nPo utworzeniu c1");
    System.out.println("c1: radius (" + c1.radius +
      "); liczba obiektów typu Circle (" +
      c1.numberOfObjects + ")");

    // Tworzenie obiektu c2
    CircleWithStaticMembers c2 = new CircleWithStaticMembers(5);

    // Modyfikowanie obiektu c1
    c1.radius = 9;

    // Wyświetlanie c1 i c2 PO utworzeniu c2
    System.out.println("\nPo utworzeniu c2 i zmodyfikowaniu c1");
    System.out.println("c1: radius (" + c1.radius +
      "); liczba obiektów typu Circle (" +
      c1.numberOfObjects + ")");
    System.out.println("c2: radius (" + c2.radius +
      "); liczba obiektów typu Circle (" +
      c2.numberOfObjects + ")");
  }
}
